Bug 97002 - all rpm/up2date actions stalled
all rpm/up2date actions stalled
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
9
i686 Linux
high Severity medium
: ---
: ---
Assigned To: Jeff Johnson
Mike McLean
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-08 10:42 EDT by Christopher Chan
Modified: 2007-03-27 00:06 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-10 14:59:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christopher Chan 2003-06-08 10:42:45 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i586; en-US; rv:1.3a) Gecko/20021207
Phoenix/0.5

Description of problem:
Any actions (install,query, upgrade) related to rpm/up2date will become stalled.

rpm -qa, rpm -ivh package, rpm -Uvh package

They used to work VERY slowly...and now not at all

strace -p pid of all stalled/slow rpm commands show them in the following state:

strace -p 26429
futex(0x4060074c, FUTEX_WAIT, 0, NULL


Version-Release number of selected component (if applicable):
the rpm package that comes with RH9

How reproducible:
Always

Steps to Reproduce:
1. run rpm (any action, query, install, upgrade)
2. it will stall
3. strace -p
    

Actual Results:  found rpm in futex(0xXXXXXX, FUTEX_WAIT, 0, NULL

Expected Results:  the action requested to execute properly

Additional info:
Comment 1 Christopher Chan 2003-06-10 01:55:00 EDT
Please help out with this, not being able to up2date or use rpm to upgrade
updated packages that were downloaded ain't fun.
Comment 2 Jeff Johnson 2003-06-10 11:05:10 EDT
Try
    rm -f /var/lib/rpm/__db*
to remove stale locks.

Does that fix?

Missed SIGPIPE is usual cause of stale locks.
That's fixed in rpm-4.2-1 (for Red Hat 9) and
rpm-4.1.1 (for Red Hat 8.0) packages at
    ftp://ftp.rpm.org/pub/rpm/dist
Comment 3 Christopher Chan 2003-06-10 11:58:12 EDT
ah, yes that helped. up2date is now underway. thnx.

Note You need to log in before you can comment on or make changes to this bug.